incorrectClause(Obs, Mod, RealElem, Clause) :-
    userdefined(Obs, Mod, Atom),
    observableClause(Obs, Atom, ClauseE, Body, Clause),
    meetTheAnswers(Obs, Body, ClauseE, RealBodyEs),
    domainProject(Obs, Atom, RealBodyEs, RealEs),
    domainSingleton(Obs, RealE, RealEs),
    not(
        (observableAnswers(Obs, Atom, IntendedEs),
        domainSingleton(Obs, RealE, IntendedEs))    ),
    showAelement(Obs, Atom, RealE, RealElem).
    
uncoveredE(Obs, Mod, IntendedElem) :-
    userdefined(Obs, Mod, Atom),
    observableAnswers(Obs, Atom, IntendedEs),
    domainSingleton(Obs, IntendedE, IntendedEs),
    not( (
        findall(
            (R, ClauseE, Body),
            (observableClause(Obs, Atom, ClauseE, Body, _),R=Atom),
            Bodies),
        joinTheAnswers(Obs,  Atom, Bodies, RealEs),
        domainSingleton(Obs, IntendedE, RealEs)   ) ),
    showAelement(Obs, Atom, IntendedE, IntendedElem).
