incorrectClause(partial(Obs), RealElem, Clause) :-
    userdefined(partial(Obs), Atom),
    observableClause(Obs, Atom, ClauseE, Body, Clause),
    meetThePosAnswers(Obs, Body, ClauseE, RealBodyEs),
    domainProject(Obs, Atom, RealBodyEs, RealEs),
    domainSingleton(Obs, RealE, RealEs),
    observableNegAnswers(Obs, Atom, IntendedNegEs),
    domainSingleton(Obs, RealE, IntendedNegEs),
    showAelement(Obs, Atom, RealE, RealElem).
    
uncoveredE(partial(Obs), Mod, IntendedElem) :-
    userdefined(partial(Obs), Atom),
    observablePosAnswers(Obs, Atom, IntendedPosEs),
    domainSingleton(Obs, IntendedE, IntendedPosEs),
    not( (
        findall((Remember, ClauseE, Body),
            (observableClause(Obs, Atom, ClauseE, Body, _),Remember=Atom), Bodies),
        joinThePosAnswers(Obs,  Atom, Bodies, RealEs),
        domainSingleton(Obs, IntendedE, RealEs)   ) ),
    showAelement(Obs, Atom, IntendedE, IntendedElem).

meetThePosAnswers(Obs, Body, ClauseE, RealBodyEs) :-
    meetTheAnswers(Obs, Body, ClauseE, RealBodyEs).
observableNegAnswers(Obs, Atom, NegEs) :- 
    observableAnswers(Obs, negative(Atom), Es),Es=negative(NegEs).
observablePosAnswers(Obs, Atom, Es) :- 
    observableAnswers(Obs, Atom, Es).
joinThePosAnswers(Obs,  Atom, Bodies, RealEs) :- 
    joinTheAnswers(Obs,  Atom, Bodies, RealEs).